﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Omix.Dynamic.Data
{
    public class ConfigInfo
    {
        public bool BrowsePrimaryKeyColumns { get; set; }
        public bool BrowseForeignKeyColumns { get; set; }
        public bool Asynchronized { get; set; }
        public string CollectionPostfixName { get; set; }
        public string ObjectPostfixName { get; set; }
        public List<string> FilterSchemas { get; set; }
        public List<string> IncludedTables { get; set; }
        public string ConnectionString { get; set; }
        public bool ExtendedProperties { get; set; }


        public ConfigInfo()
        {
            BrowsePrimaryKeyColumns = false;
            BrowseForeignKeyColumns = false;
            Asynchronized = false;
            CollectionPostfixName = "List";
            ObjectPostfixName = "Object";
            FilterSchemas = new List<string>();
            IncludedTables = new List<string>();
        }
    }
}
